type: gene_set_collection
id: GO
format: map
filename: GO-map.txt
web_label: GO Terms
web_format_str: "key| (|count|): |desc"
histograms:
  genes_per_gene_set:
    type: number
    y_log_scale: True
  gene_sets_per_gene:
    type: number
    y_log_scale: True
meta:
  summary: |
    GO terms 2024-06-17 release

  description: |
    [Gene Ontology (GO)](http://geneontology.org/) is a collaborative effort to standardize the representation of gene and gene product attributes across all species. The Gene Ontology provides a framework for the classification of gene functions based on three structured ontologies: Biological Process, Molecular Function, and Cellular Component. These ontologies describe:

    - **Biological Process:** The biological objectives or processes a gene product is involved in, such as cell division or immune response.
    - **Molecular Function:** The biochemical activities of a gene product, such as enzyme activity or binding.
    - **Cellular Component:** The locations within the cell where a gene product is active, such as mitochondrion or nucleus.
    
    GO terms are used to annotate gene products, facilitating a consistent and comprehensive description of gene functions, relationships, and pathways across diverse organisms. This standardization supports functional annotation, comparative genomics, and the integration of biological data.
        
    [Gene Ontology Consortium, Gene Ontology: Tool for the Unification of Biology, Nature Reviews Molecular Cell Biology 2000](https://www.nature.com/articles/35075009)
    
    [The Gene Ontology Consortium, The Gene Ontology Resource: 20 years and still GOing strong, Nucleic Acids Research 2019](https://academic.oup.com/nar/article/47/D1/D330/5142642)



    #### Processing Details

    Downloaded Gene - GO term annotations from [https://current.geneontology.org/products/pages/downloads.html](https://current.geneontology.org/products/pages/downloads.html) on 07/08/2024. Filtered to include genes from UniProtKB (goa_human.gaf.gz).

    Downloaded GO term - GO name ontology data from [https://current.geneontology.org/ontology/go.obo](https://current.geneontology.org/ontology/go.obo) on 07/08/2024 (go_ontology.obo).

    GOdataprep.py merges the two files, prepares GO-map.txt listing the GO annotations per gene and GO-mapnames.txt listing the description of each GO term.
